Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter Class Referenceabstract

`#include <ArrayPropertyWriter.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter:

## Public Member Functions
virtual | ~ArrayPropertyWriter ()
virtual void | setSample (const ArraySample &iSamp)=0
virtual void | setFromPreviousSample ()=0
virtual size_t | getNumSamples ()=0
virtual void | setTimeSamplingIndex (uint32_t iIndex)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter
virtual | ~BasePropertyWriter ()
virtual const PropertyHeader & | getHeader () const =0
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ObjectWriterPtr | getObject ()=0
virtual CompoundPropertyWriterPtr | getParent ()=0
virtual ScalarPropertyWriterPtr | asScalarPtr ()
virtual ArrayPropertyWriterPtr | asArrayPtr ()
virtual CompoundPropertyWriterPtr | asCompoundPtr ()

## Detailed Description

An Array Property is a Rank N (usually 1-3) property which has a multidimensional array of identically typed values for each sample. This is distinguished from a Simple Property, which has a single element per sample, and requires less sophisticated resource management.

## Constructor & Destructor Documentation

## ◆ ~ArrayPropertyWriter()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter::~ArrayPropertyWriter | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ getNumSamples()

virtual size_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter::getNumSamples | ( |  | ) |
| pure virtual

Return the number of samples that have been written so far. This changes as samples are written.

Implemented in Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl.

## ◆ setFromPreviousSample()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter::setFromPreviousSample | ( |  | ) |
| pure virtual

Set the next sample to equal the previous sample. An important feature!

Implemented in Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl.

## ◆ setSample()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter::setSample | ( | const ArraySample & | iSamp | ) |
| pure virtual

Sets a sample

This takes a read-only ArraySample by const reference. The class will make an internal copy (or the functional equivalent of ), and will not use that memory block outside the scope of this function call.

Arrays of std::string and std::wstring are assumed to be treated just like regular data elements.

## ◆ setTimeSamplingIndex()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter::setTimeSamplingIndex | ( | uint32_t | iIndex | ) |
| pure virtual

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

The documentation for this class was generated from the following files:

- AbcCoreAbstract/ArrayPropertyWriter.h
- AbcCoreAbstract/ArrayPropertyWriter.cpp